# Class PseudoDamerauLevenshtein.Alignment

java.lang.Object
de.calcom.cclib.text.PseudoDamerauLevenshtein.Alignment

All Implemented Interfaces:
  `Comparable<PseudoDamerauLevenshtein.Alignment>`

Enclosing class:
  `PseudoDamerauLevenshtein`

public class PseudoDamerauLevenshtein.Alignment extends Object implements Comparable<PseudoDamerauLevenshtein.Alignment>

## Constructor Summary

Constructors
Constructor
Description
`Alignment(String searchTermString, String searchTextString, double prob, int matchStart, int matchEnd, int r, int c)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(PseudoDamerauLevenshtein.Alignment other)`
`boolean`
`equals(Object obj)`
`String`
`getMatch()`
`int`
`getMatchEnd()`
`int`
`getMatchStart()`
`int`
`hashCode()`
`boolean`
`overlapsWith(PseudoDamerauLevenshtein.Alignment other)`
`void`
`print()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Alignment

public Alignment(String searchTermString, String searchTextString, double prob, int matchStart, int matchEnd, int r, int c)

## Method Details

### getMatchStart

public int getMatchStart()

### getMatchEnd

public int getMatchEnd()

### overlapsWith

public boolean overlapsWith(PseudoDamerauLevenshtein.Alignment other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getMatch

public String getMatch()

### compareTo

public int compareTo(PseudoDamerauLevenshtein.Alignment other)

Specified by:
  `compareTo` in interface `Comparable<PseudoDamerauLevenshtein.Alignment>`

### print

public void print()

### toString

public String toString()

Overrides:
  `toString` in class `Object`